QGIS Application - Bug report #12798

v.generalize in Processing: wrong output projection

2015-05-21 02:43 AM - Jack Attack

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:2.8.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 20894

Description

On 19/10/2014
Paolo Cavallini Reported this bug in qgis developer mailing list

From 19/10/2014 to 20/10/2014
Both Paolo Cavallini and Andre Joos
Were not sure wether it is really a "bug"

From 06/05/2015 to 21/05/2015
JackAttack did some testing (user side, not seeing the code)

It seems that the v.generalize output projection is defined in raw parameters (text or well-known text) and not with the EPSG code.

It seems that qgis (or another tool) interprets the text then assigns guess Proj4 code.
Whit most used SCR WGS 84, EPSG:4326 the guess was in one case USER:100007.
With legal SCR here, EPSG:2154 the guess is an ArcGis code ESRI:102110,

so | think we can't incriminate USER modification or mistake, but the tool.

*SCR = coordinate projection system

*With two different codes, the SCR may be defined the same, but transform parameters may differ.

| suggest that the v.generalize tool sticks with the input SCR, like other tools do.

Alternatively ("low-cost"), | suggest remembering the input SCR in a variable, then the v.generalize tool could end with a transformation of

the output into the input.
Thank you for reading.

Related issues:

Duplicates QGIS Application - Bug report # 11884: Processing generates output... Closed

2014-12-18

History

#1 - 2015-05-21 02:53 AM - Paolo Cavallini
- Resolution set to duplicate
- Status changed from Open to Feedback

Probably a duplicate of #5702

#2 - 2015-05-21 02:54 AM - Giovanni Manghi
- Status changed from Feedback to Closed

2025-04-27
duplicate of #11884

#3 - 2015-06-07 04:33 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
